import { useState, useEffect } from 'react';
import { useScript } from 'usehooks-ts';

var useLoadScript = function (_a) {
  var script = _a.script;
  var status = useScript(script);
  var _b = useState(false),
    init = _b[0],
    setInit = _b[1];
  useEffect(function () {
    if (status !== "ready") return;
    setInit(true);
  }, [status]);
  return {
    init: init
  };
};

var useManifestBridge = function () {
  var noop = function () {};
  return {
    open: noop
  };
};

var useExtractHooks = function () {
  return {
    message: "another hooks"
  };
};

export { useExtractHooks, useLoadScript, useManifestBridge };
