'use strict';

var react = require('react');
var usehooksTs = require('usehooks-ts');

var useLoadScript = function (_a) {
  var script = _a.script;
  var status = usehooksTs.useScript(script);
  var _b = react.useState(false),
    init = _b[0],
    setInit = _b[1];
  react.useEffect(function () {
    if (status !== "ready") return;
    setInit(true);
  }, [status]);
  return {
    init: init
  };
};

var useManifestBridge = function () {
  var noop = function () {};
  return {
    open: noop
  };
};

var useExtractHooks = function () {
  return {
    message: "another hooks"
  };
};

exports.useExtractHooks = useExtractHooks;
exports.useLoadScript = useLoadScript;
exports.useManifestBridge = useManifestBridge;
